# mb_strlen

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

mb_strlen — Get string length

### Description

mb_strlen ( string `$str` [, string `$encoding` = mb_internal_encoding() ] ) : int

Gets the length of a string.

### Parameters

`str`

  The string being checked for length.

`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

Returns the number of characters in string `str` having character encoding `encoding`. A multi-byte character is counted as 1.

### Errors/Exceptions

If the encoding is unknown, an error of level `E_WARNING` is generated.

### See Also

- mb_internal_encoding() - Set/Get internal character encoding
- grapheme_strlen() - Get string length in grapheme units
- iconv_strlen() - Returns the character count of string
- strlen() - Get string length